@charset "UTF-8";

@media (min-width: 1600px) {
  .d-xxxl-none {
    display: none;
  }

  .d-xxxl-block {
    display: block;
  }
}

/*------------------------------
 neoma academy
------------------------------*/
.text-ua {
  font-size: 10px !important;
}

/*------------------------------
 development
------------------------------*/
.fv-develop-copy {
  background-image: url("../images/neoma/development/img_development_fv_sp_temp.jpg");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: top center;
  aspect-ratio: 1730 / 1107;
  width: 100%;
  display: block;
}

.fv-develop-copy-text {
  position: relative;
  display: inline-block;
  background-color: rgb(255 255 255 / 0.8);
  color: #222222 !important;
  padding-left: 14px;
}

.fv-develop-copy-text:not(:last-of-type) {
  margin-bottom: 8px;
}

.sm.fv-develop-copy-text {
  height: 1.75em;
  text-box-trim: trim-both;
  padding-top: 0.25em;
  padding-inline: 8px;
}

.sm.fv-develop-copy-text:not(:last-of-type) {
  margin-bottom: 12px;
}

.fv-develop-copy-text::before {
  position: absolute;
  content: "";
  width: 100%;
  height: 1.5em;
  top: 0;
  left: 0;
  z-index: 0;
}

.develop-flow-container {
  column-gap: 42px;
}

.develop-flow-item {
  position: relative;
  min-height: 445px;
  border: 1.6px solid var(--color-deep-red);
  border-radius: 12px;
}

.develop-flow-item-img {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-bottom: 16px;
  flex: 1 1 0%;
}

.image_flow_caption {
  position: absolute;
  top: 0;
  left: 0;
}

.title-circle-animation {
  position: relative;
  padding-left: 44px;
}

#lottie-container01 {
  position: absolute;
  top: 0;
  left: 0;
  transform: scale(1) !important;
}

#lottie-container02 {
  position: absolute;
  top: 0 !important;
  left: 0;
  transform: translateY(50%) scale(1) !important;
}

#lottie-container03 {
  position: absolute;
  top: 0% !important;
  left: 0;
  transform: translateY(17%) scale(0.8) !important;
}

.flow-container.flow01,
.flow-container.flow02 {
  opacity: 0;
  visibility: hidden !important;
  transition: 0.4s;
}

.flow-container.flow01.is-active,
.flow-container.flow02.is-active {
  opacity: 1;
  visibility: visible !important;
}

#lottie-container03 {
  transform: translateY(5%) scale(0.8) !important;
}

.flow-material-text {
  position: relative;
  display: inline-block;
  background-color: #f8e6e5;
  color: #222222 !important;
  padding-inline: 2px;
}

.button-link-case-study {
  position: relative;
  background-color: var(--color-main-red);
  border-radius: 2px;
  padding: 12px 32px;
  margin-bottom: 40px;
}

.button-link-case-study::before,
.button-link-case-study::after {
  position: absolute;
  content: "";
}

.button-link-case-study::before {
  background-color: var(--color-main-red);
  border-radius: 2px;
  width: 46px;
  height: 100%;
  top: 0;
  right: -47px;
}

.button-link-case-study::after {
  background-image: url("../images/common/icon_arrow_white_right.svg");
  background-repeat: no-repeat;
  background-size: contain;
  top: 50%;
  right: calc(-44px + 13px);
  width: 13px;
  aspect-ratio: 13 / 8;
  transform: translateY(-50%);
  z-index: 10;
}

.bg-radial-red {
  background-image: url("../images/neoma/development/bg_radial_red.svg");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
}

#modal_dev_01,
#modal_dev_02 {
  z-index: 9999 !important;
}

#modal_dev_01 .modal-content,
#modal_dev_02 .modal-content {
  border: 2px solid #d22615;
  border-radius: 32px;
}

#modal_dev_01 .modal-close,
#modal_dev_02 .modal-close {
  background-color: transparent;
  top: 40px;
  right: 40px;
}

#modal_dev_01 .modal-close::before,
#modal_dev_01 .modal-close::after,
#modal_dev_02 .modal-close::before,
#modal_dev_02 .modal-close::after {
  background-color: #b42a23;
  width: 40px;
  height: 3px;
}

.image-fade-target {
  opacity: 0;
  visibility: hidden;
  transition: 0.4s;
}

.image-fade-target.is-active {
  opacity: 1;
  visibility: visible;
}

.hundred-number {
  font-size: 52px !important;
}

.text-copy-material {
  position: absolute;
  top: 60%;
  left: 50%;
  transform: translateX(-50%);
}

.text-copy-material img {
  max-width: 15vw;
  width: 100%;
}

@media screen and (min-width: 992px) {
  .develop-flow-container .develop-flow-wrapper:not(:last-of-type) .develop-flow-item::after {
    position: absolute;
    content: "";
    background-image: url("../images/neoma/development/icon_arrow_triangle_right.svg");
    background-repeat: no-repeat;
    background-size: contain;
    width: 23px;
    height: 47px;
    aspect-ratio: 23 / 47;
    top: 50%;
    right: -46px;
    transform: translateY(-50%);
  }

  .fv-develop-copy-text:not(:last-of-type) {
    margin-bottom: 14px;
  }

  .fv-develop-copy-text.sm {
    padding-inline: 14px;
  }

  .sm.fv-develop-copy-text:not(:last-of-type) {
    margin-bottom: 20px;
  }

  .fv-develop-copy {
    background-image: url("../images/neoma/development/img_development_fv_temp.jpg");
  }

  .flow-container {
    height: 370vh;
  }

  .flow-inner {
    height: 400vh;
  }

  .flow02.flow-container {
    height: 270vh;
  }

  .flow03 {
    height: 190vh;
  }

  .flow-inner-02 {
    height: 470vh;
  }

  .flow-inner-03 {
    height: 650vh;
  }

  .flow-animation-title {
    position: sticky;
    top: 0;
    left: 0;
  }

  #modal_dev_01 .modal-close,
  #modal_dev_02 .modal-close {
    top: 70px;
    right: 70px;
  }

  #modal_dev_01 .modal-close::before,
  #modal_dev_01 .modal-close::after,
  #modal_dev_02 .modal-close::before,
  #modal_dev_02 .modal-close::after {
    width: 60px;
    height: 4px;
  }

  #modal_dev_01 .modal-dialog,
  #modal_dev_02 .modal-dialog {
    margin: 50px auto 4px;
  }

  .button-link-case-study {
    margin-bottom: 64px;
  }

  .hundred-number {
    font-size: 86px !important;
  }
}

@media screen and (min-width: 1200px) {
  #lottie-container03 {
    transform: translateY(5%) scale(0.7) !important;
  }

  .flow-container {
    height: 550vh;
  }

  .flow-inner {
    height: 700vh;
  }
  
  .flow-inner-03 {
    height: 650vh;
  }

  .flow-material-title {
    position: absolute;
    top: 18%;
    left: 5%;
  }

  .flow-material-links {
    position: absolute;
    top: 18%;
    right: 3%;
  }

  .text-copy-material {
    top: 62%;
  }

  .text-copy-material img {
    max-width: 15vw;
    width: 100%;
  }
}

 @media screen and (min-width: 1300px) {
  .text-copy-material {
    top: 55%;
  }
 }

@media screen and (min-width: 1400px) {
  .flow-container {
    height: 340vh;
  }

  .flow-inner {
    height: 490vh;
  }

  .flow02.flow-container {
    height: 320vh;
  }

  .flow03 {
    height: 100vh;
  }

  .flow-inner-02 {
    height: 550vh;
  }

  .flow-inner-03 {
    height: 500vh;
  }

  #lottie-container03 {
    transform: translateY(17%) scale(0.8) !important;
  }

  .text-copy-material {
    position: absolute;
    top: 58%;
    left: 50%;
    transform: translateX(-50%);
  }

  .text-copy-material img {
    max-width: 16vw;
    width: 100%;
  }

  .flow-material-title {
    position: absolute;
    top: 16%;
    left: 9%;
  }

  .flow-material-links {
    position: absolute;
    top: 16%;
    right: 3%;
  }
}

@media screen and (min-width: 1600px) {
  .flow-container {
    height: 380vh;
  }

  .flow-inner {
    height: 500vh;
  }

  .flow02.flow-container {
    height: 300vh;
  }

  .flow03 {
    height: 100vh;
  }

  .flow-inner-02 {
    height: 420vh;
  }

  .flow-inner-03 {
    height: 450vh;
  }

  .text-copy-material {
    top: 60%;
  }

  #lottie-container03 {
    transform: translateY(11%) scale(0.8) !important;
  }
}

@media screen and (min-width: 1700px) {
  .text-copy-material {
    top: 60%;
  }
}

@media screen and (min-width: 1800px) {
  .text-copy-material {
    top: 50%;
  }
}

@media screen and (min-width: 1900px) {
  .flow-container {
    height: 380vh;
  }

  .flow-inner {
    height: 500vh;
  }

  .flow02.flow-container {
    height: 270vh;
  }

  .flow03 {
    height: 100vh;
  }

  .flow-inner-02 {
    height: 420vh;
  }

  .flow-inner-03 {
    height: 500vh;
  }

  .text-copy-material {
    top: 50%;
  }

  #lottie-container03 {
    transform: translateY(0) scale(0.8) !important;
  }
}

@media screen and (max-width: 1399px) {
  .flow02.flow-container {
    height: 370vh;
  }

  .flow03 {
    height: 100vh;
  }

  /* .flow-inner-02 {
    height: 520vh;
  } */
}

@media screen and (max-width: 991px) {
  .fv-develop-copy {
    height: 100svh;
  }
}
